# utils.py
import re
import config
import giphy_client
from giphy_client.rest import ApiException
from datetime import datetime
from database import Session, Birthday  # Added Birthday import

def is_spam(text):
    return any(word in text.lower() for word in config.BAD_WORDS) or bool(re.search(r'http[s]?://', text))

def get_giphy_gif(query):
    try:
        api_instance = giphy_client.DefaultApi()
        api_response = api_instance.gifs_search_get(config.GIPHY_API_KEY, query, limit=1)
        return api_response.data[0].url if api_response.data else None
    except ApiException:
        return None

def is_suspicious_profile(user):
    bio = getattr(user, 'bio', '') or ''
    username = user.username or ''
    return any(keyword in (bio.lower() + username.lower()) for keyword in config.SUSPICIOUS_KEYWORDS)

def check_birthday():
    session = Session()
    today = datetime.now().strftime("%d-%m")
    birthdays = session.query(Birthday).filter(Birthday.date == today).all()
    session.close()
    return birthdays
